
package org.mule.modules.selenium.config.spring;

import org.springframework.beans.factory.xml.NamespaceHandlerSupport;


/**
 * Registers bean definitions parsers for handling elements in <code>http://www.mulesoft.org/schema/mule/selenium</code>.
 * 
 */
public class SeleniumModuleNamespaceHandler
    extends NamespaceHandlerSupport
{


    /**
     * Invoked by the {@link DefaultBeanDefinitionDocumentReader} after construction but before any custom elements are parsed. 
     * @see NamespaceHandlerSupport#registerBeanDefinitionParser(String, BeanDefinitionParser)
     * 
     */
    public void init() {
        registerBeanDefinitionParser("config", new SeleniumModuleConfigDefinitionParser());
        registerBeanDefinitionParser("get", new GetDefinitionParser());
        registerBeanDefinitionParser("get-current-url", new GetCurrentUrlDefinitionParser());
        registerBeanDefinitionParser("get-title", new GetTitleDefinitionParser());
        registerBeanDefinitionParser("find-elements", new FindElementsDefinitionParser());
        registerBeanDefinitionParser("find-element", new FindElementDefinitionParser());
        registerBeanDefinitionParser("click", new ClickDefinitionParser());
        registerBeanDefinitionParser("submit", new SubmitDefinitionParser());
        registerBeanDefinitionParser("send-keys", new SendKeysDefinitionParser());
        registerBeanDefinitionParser("clear", new ClearDefinitionParser());
        registerBeanDefinitionParser("get-attribute", new GetAttributeDefinitionParser());
        registerBeanDefinitionParser("is-selected", new IsSelectedDefinitionParser());
        registerBeanDefinitionParser("is-enabled", new IsEnabledDefinitionParser());
        registerBeanDefinitionParser("get-text", new GetTextDefinitionParser());
        registerBeanDefinitionParser("until", new UntilDefinitionParser());
    }

}
